org.apache.activemq.artemis.jms.client

## Interface ActiveMQJMSClientLogger

- All Superinterfaces:
    org.jboss.logging.BasicLogger

      @MessageLogger(projectCode="AMQ")
      public interface ActiveMQJMSClientLogger
      extends org.jboss.logging.BasicLogger

  Logger Code 12 each message id must be 6 digits long starting with 12, the 3rd digit donates the level so INF0 1 WARN 2 DEBUG 3 ERROR 4 TRACE 5 FATAL 6 so an INFO message would be 121000 to 121999

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static ActiveMQJMSClientLogger` | `LOGGER` The default logger.

  - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `connectionLeftOpen(Exception e)`
    `void` | `errorCallingExcListener(Exception e)`
    `void` | `errorCallingFailoverListener(Exception e)`
    `void` | `errorCreatingMessage(String messageToString, Throwable e)`
    `void` | `errorPreparingMessageForReceipt(String messagetoString, Throwable e)`
    `void` | `errorProcessingMessage(Throwable e)`
    `void` | `errorRecoveringSession(Throwable e)`
    `void` | `onMessageError(Exception e)`

    - ### Methods inherited from interface org.jboss.logging.BasicLogger

      `debug, debug, debug, debug, debugf, debugf, debugf, debugf, debugf, debugf, debugf, debugf, debugf, debugf, debugf, debugf, debugf, debugf, debugf, debugf, debugf, debugf, debugf, debugf, debugf, debugf, debugf, debugf, debugf, debugf, debugf, debugf, debugf, debugf, debugf, debugf, debugv, debugv, debugv, debugv, debugv, debugv, debugv, debugv, error, error, error, error, errorf, errorf, errorf, errorf, errorf, errorf, errorf, errorf, errorv, errorv, errorv, errorv, errorv, errorv, errorv, errorv, fatal, fatal, fatal, fatal, fatalf, fatalf, fatalf, fatalf, fatalf, fatalf, fatalf, fatalf, fatalv, fatalv, fatalv, fatalv, fatalv, fatalv, fatalv, fatalv, info, info, info, info, infof, infof, infof, infof, infof, infof, infof, infof, infov, infov, infov, infov, infov, infov, infov, infov, isDebugEnabled, isEnabled, isInfoEnabled, isTraceEnabled, log, log, log, log, logf, logf, logf, logf, logf, logf, logf, logf, logf, logf, logf, logf, logv, logv, logv, logv, logv, logv, logv, logv, logv, logv, logv, logv, trace, trace, trace, trace, tracef, tracef, tracef, tracef, tracef, tracef, tracef, tracef, tracef, tracef, tracef, tracef, tracef, tracef, tracef, tracef, tracef, tracef, tracef, tracef, tracef, tracef, tracef, tracef, tracef, tracef, tracef, tracef, tracef, tracef, tracef, tracef, tracev, tracev, tracev, tracev, tracev, tracev, tracev, tracev, warn, warn, warn, warn, warnf, warnf, warnf, warnf, warnf, warnf, warnf, warnf, warnv, warnv, warnv, warnv, warnv, warnv, warnv, warnv`

- - ### Field Detail

    - #### LOGGER

          static final ActiveMQJMSClientLogger LOGGER

      The default logger.

  - ### Method Detail

    - #### connectionLeftOpen

          @LogMessage(level=WARN)
           @Message(id=122000,
                   value="I\'\'m closing a JMS connection you left open. Please make sure you close all JMS connections explicitly before letting them go out of scope! see stacktrace to find out where it was created",
                   format=MESSAGE_FORMAT)
          void connectionLeftOpen(@Cause
                                                                                                                                                                                                                                                                                                                               Exception e)

    - #### onMessageError

          @LogMessage(level=WARN)
           @Message(id=122001,
                   value="Unhandled exception thrown from onMessage",
                   format=MESSAGE_FORMAT)
          void onMessageError(@Cause
                                                                                                                                                                       Exception e)

    - #### errorCallingExcListener

          @LogMessage(level=ERROR)
           @Message(id=124000,
                   value="Failed to call JMS exception listener",
                   format=MESSAGE_FORMAT)
          void errorCallingExcListener(@Cause
                                                                                                                                                                             Exception e)

    - #### errorCreatingMessage

          @LogMessage(level=ERROR)
           @Message(id=124002,
                   value="Queue Browser failed to create message {0}",
                   format=MESSAGE_FORMAT)
          void errorCreatingMessage(String messageToString,
                                                                                                                                                                               @Cause
                                                                                                                                                                               Throwable e)

    - #### errorPreparingMessageForReceipt

          @LogMessage(level=ERROR)
           @Message(id=124003,
                   value="Message Listener failed to prepare message for receipt, message={0}",
                   format=MESSAGE_FORMAT)
          void errorPreparingMessageForReceipt(String messagetoString,
                                                                                                                                                                                                                   @Cause
                                                                                                                                                                                                                   Throwable e)

    - #### errorProcessingMessage

          @LogMessage(level=ERROR)
           @Message(id=124004,
                   value="Message Listener failed to process message",
                   format=MESSAGE_FORMAT)
          void errorProcessingMessage(@Cause
                                                                                                                                                                                 Throwable e)

    - #### errorRecoveringSession

          @LogMessage(level=ERROR)
           @Message(id=124005,
                   value="Message Listener failed to recover session",
                   format=MESSAGE_FORMAT)
          void errorRecoveringSession(@Cause
                                                                                                                                                                                 Throwable e)

    - #### errorCallingFailoverListener

          @LogMessage(level=ERROR)
           @Message(id=124006,
                   value="Failed to call Failover listener",
                   format=MESSAGE_FORMAT)
          void errorCallingFailoverListener(@Cause
                                                                                                                                                                             Exception e)

Copyright © 2017 The Apache Software Foundation. All rights reserved.